<?php

namespace Jiwei\EasyHttpSdk;

use GuzzleHttp\Psr7\Request;

class XXXSDKOption extends Option
{
    private const AUTH_API_ROUTE = "/api/access/token";

    const ENDPONIT_HOSTS = [
        'local' => 'localhost:8080',
        'development' => 'localhost:8080',
        'production' => 'localhost:8080'
    ];

    public function getAuthMoudel(): \Closure
    {
        return function (string $appId, string $appSecret): Request {
            return new Request('post', self::AUTH_API_ROUTE, [
                "body" => json_encode([
                    "app_key" => $appId,
                    "app_secret" => $appSecret
                ])
            ]);
        };

    }
}
